<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Wireless :: U.S. Robotics 5451 Access Point</title>
	<link href="main.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="5451.js"></script>
	<script type="text/javascript" src="common.js"></script>
	<script type="text/javascript">
<!--
	
function isUS()
{
   /*
      Change to return false if non-US.
   */
   var ix = "<% nvram_get("wl_country_code"); %>";
     
	if(ix != "US") 
		return false;
	else 
	      return true;
}

/* we can not use Afterburner in Bridge mode, or WME enabled */
function validateAfterburner()
{
	/* if Afterburner is enabled don't check WDS */
	var accel = document.idForm.cbAcceleration.options[document.idForm.cbAcceleration.selectedIndex].value;
	var wme = "<% nvram_get("wl_wme"); %>";
	
	if (accel == "afterburner") {
		if (wme == "off" && document.idForm.chkWME.checked) {
			alert("This setting is incompatible with MAXg acceleration. Please change the acceleration in the Transmission section to \"54g+(XPress)\" or \"None\".");
			return false;
		}
	}
	return true;
}
//-->
</script>
</head>

<body onload="setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); tableInitializeWDS(); setVisibility('idWME', document.idForm.chkWME.checked);
 changeAcceleration(); manageSupportedRates();" onbeforeunload="verifyDeparture();">

<script>
	writeHeader();
</script>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<h1>Saving Changes</h1>
	<p>When you finish entering your changes, press the
	<strong>Save</strong> button at the bottom of the page.
	</p>

	<h1>Network Name</h1>
	<p>This can be any name you want.
	U.S.&nbsp;Robotics recommends that you treat your <strong>network name</strong>
	like a password and use a combination of more than eight alphanumeric
	characters that is not easy to guess (such as &ldquo;USR5461APOffice&rdquo;
	or &ldquo;Fish81Tree&rdquo;).
	</p>

	<h1>Broadcast</h1>
	<p>If the access point broadcasts the network name, any wireless device can
	find out what it is and connect to the access point, unless you set further
	security measures, such as encryption, on the <a href="security.asp">Security</a> page.
	You can disable broadcast so that someone will need to enter the network name
	for a client to connect to the access point.
	</p>
</div>


<form name="idForm" action="wireless.asp" method="post">
<input type="hidden" name="page" value="wireless.asp">
<input type="hidden" name="wl_unit" value="0">
<input type="hidden" name="wl_radio" value="1"> 
<input type="hidden" name="wl_mode" value="ap">
<input type="hidden" name="wl_closed" value="1"> 
<input type="hidden" name="wl_ap_isolate" value="0">
<input type="hidden" name="wl_lazywds" value="0">
<input type="hidden" name="wl_wme" value="off"> 
<input type="hidden" name="wl_wme_no_ack" value="off">
<input type="hidden" name="wl_gmode_protection" value="off">


<h3>Network Name (SSID)</h3>

<p>This is the name of your wireless network. Wireless devices will need to know the
network name (also known as an SSID) of your access point in order to communicate with it.</p>

<p><label for="wl_ssid">Network name:</label>
	<input type="text" size="32" maxlength="32" id="wl_ssid" class="clsTextfield" name="wl_ssid" value="<% nvram_get("wl_ssid"); %>" onchange="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; bDirty = true;"></p>

<p>In order to hide your access point from new wireless devices, you can
tell the access point to stop broadcasting the access point&rsquo;s network name.</p>

<p><input type="checkbox" id="wl_closed" name="wl_closed" value="0" <% nvram_match("wl_closed", "0", "checked"); %> onclick="bDirty = true;"> <label for="wl_closed">Broadcast network name</label></p>

<h3>WDS Restrictions</h3>

<p>When enabled only the access points whose MAC addresses are in this list can connect using WDS.</p>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" id="chkWDSrestrict" name="chkWDSrestrict" <% nvram_match("wl_lazywds", "0", "checked"); %> onclick="setVisibility('idWDSrestrict', document.idForm.chkWDSrestrict.checked); bDirty = true;"> <label for="chkWDSrestrict">Enable WDS restrictions</label></p>

<div id="idWDSrestrict"> 
<div id="idTableWDS">
	<!-- Content is added by script -->
</div>

<span class="clsGroupBox">
			<label for="txtMACaddress">MAC address:</label>
			<br/>
			<input type="text" size="20" maxlength="17" name="txtMACaddress" id="txtMACaddress" class="clsTextfield" onchange="validateMAC(document.idForm.txtMACaddress.value); bDirty = true;">
			<input type="button" name="idBtnAddWDS" id="idBtnAddWDS" value="  Add  " class="clsSmall" onclick="tableAddRowWDS();">
</span>

<script type="text/javascript">
<!--
/* --------------------------------------------------------------------------
	
	WDS TABLE INFORMATION AND FUNCTIONS

*/

/*
	This class of object defines items specific to each table of values.
*/
var objTableWDS 	= new Object;
objTableWDS.strThis	= "objTableWDS";	// the text representation of this object's name
objTableWDS.aRows	= new Array;		// the array of the row arrays for the table


function tableInitializeWDS()
{
	/*
		Initialize the table object
	*/
	objTableWDS.eltTable		= document.getElementById("idTableWDS");	// id of table's DIV
	objTableWDS.eltBtnAdd		= document.getElementById("idBtnAddWDS");	// Add button
	objTableWDS.strVarNameNum	= "wl_wds";		// name of form field for # rows
	// names of each form field
	objTableWDS.aVarNamePrefixes	= new Array("wl_wds");
	objTableWDS.iMaxNumRows		= 16;				// max # of rows in table
	objTableWDS.fctFormatRow	= fctFormatRowText;		// function to format a row in HTML
	objTableWDS.aHeadings		= new Array(	// array of column headings for the table
							"MAC Address"
						);
	/*
		Load the values from the server, create the rows, and add them all.
	*/

	/*
		Get the data for each entry, add it to an array,
		and add the array to the table.
	*/
	var aRouterData = new Array(
					new Array("<% nvram_list("wl_wds", 0); %>"),
					new Array("<% nvram_list("wl_wds", 1); %>"),
					new Array("<% nvram_list("wl_wds", 2); %>"),
					new Array("<% nvram_list("wl_wds", 3); %>"),
					new Array("<% nvram_list("wl_wds", 4); %>"),
					new Array("<% nvram_list("wl_wds", 5); %>"),
					new Array("<% nvram_list("wl_wds", 6); %>"),
					new Array("<% nvram_list("wl_wds", 7); %>"),
					new Array("<% nvram_list("wl_wds", 8); %>"),
					new Array("<% nvram_list("wl_wds", 9); %>"),
					new Array("<% nvram_list("wl_wds", 10); %>"),
					new Array("<% nvram_list("wl_wds", 11); %>"),
					new Array("<% nvram_list("wl_wds", 12); %>"),
					new Array("<% nvram_list("wl_wds", 13); %>"),
					new Array("<% nvram_list("wl_wds", 14); %>"),
					new Array("<% nvram_list("wl_wds", 15); %>")
				);

	for (var row in aRouterData)
	{
		/* if the first column's value is empty, don't use it */
		if (aRouterData[row][0] == "")
			continue;

		objTableWDS.aRows.push(aRouterData[row]);
	}

	tableDisplay(objTableWDS);
}


/* Add the new data to the table. */
function tableAddRowWDS()
{
	/* Get the new entry's data from the HTML form and put it in a new array. */
	var aRowNew = new Array(document.idForm.txtMACaddress.value);

	if (!validateDataText(objTableWDS, aRowNew) || !validateMAC(aRowNew[0]))
	{
		document.idForm.txtMACaddress.focus();
		return;
	}

	// convert all separators to colons
	aRowNew[0] = normalizeMAC(aRowNew[0]);

	// if this MAC address is already in the table, don't add it but do clear the field
	if (!tableIsDuplicateRow(objTableWDS, aRowNew))
		tableAddRow(objTableWDS, aRowNew);

	/*
		Clear fields
	*/
	document.idForm.txtMACaddress.value = "";
}
//-->
</script>	
</div> 


<h3>Wireless Multimedia Enhancements (802.11e)</h3>

<p>You can find information about this advanced feature in the user manual on
the installation CD-ROM.</p>

<p><input type="checkbox" id="chkWME" name="chkWME" <% nvram_match("wl_wme", "on", "checked"); %>
	onclick="if (!validateAfterburner()) return false; setVisibility('idWME', document.idForm.chkWME.checked); bDirty = true;"> <label for="chkWME">Enable WME</label></p>

<div id="idWME">

<p><input type="checkbox" id="wl_wme_no_ack" name="wl_wme_no_ack" value="on" <% nvram_match("wl_wme_no_ack", "on", "checked"); %> onclick="bDirty = true;"> <label for="wl_wme_no_ack">Enable no-acknowledgement</label></p>

<table border="0" class="clsTitled" cellspacing="5">
	<colgroup>
		<col>
		<col class="clsColumnShaded">
		<col>
		<col class="clsColumnShaded">
		<col>
		<col class="clsColumnShaded">
		<col>
		<col class="clsColumnShaded">
	</colgroup>

	<thead>
	<tr valign="bottom" align="left">
		<th>&nbsp;</th>
		<th><label>CW<br/>minimum</label></th>
		<th><label>CW<br/>maximum</label></th>
		<th><label>AIFSN</label></th>
		<th><label>TXOP(b)<br/>limit</label></th>
		<th><label>TXOP(a/g)<br/>limit</label></th>
		<th><label>Admin<br/>forced</label></th>
	</thead>

	<tbody>
	<input type="hidden" name="wme_ap" value="8">
	<tr><td colspan="8"><strong><label>EDCA access point parameters</label></strong></td></tr>
	<tr>
		<input type="hidden" name="wl_wme_ap_bk" value="5">
		<td><label for="txtAPbkMin">AC_BK:</label></td>
		<td><input type="text" id="txtAPbkMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_bk0" value="<% nvram_list("wl_wme_ap_bk", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbkMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_bk1" value="<% nvram_list("wl_wme_ap_bk", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbkAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_bk2" value="<% nvram_list("wl_wme_ap_bk", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbkB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_bk3" value="<% nvram_list("wl_wme_ap_bk", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtAPbkAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_bk4" value="<% nvram_list("wl_wme_ap_bk", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_ap_bk5" value="off" <% wme_match_op("wl_wme_ap_bk", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_ap_be" value="5">
		<td><label for="txtAPbeMin">AC_BE:</label></td>
		<td><input type="text" id="txtAPbeMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_be0" value="<% nvram_list("wl_wme_ap_be", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbeMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_be1" value="<% nvram_list("wl_wme_ap_be", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbeAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_be2" value="<% nvram_list("wl_wme_ap_be", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPbeB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_be3" value="<% nvram_list("wl_wme_ap_be", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtAPbeAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_be4" value="<% nvram_list("wl_wme_ap_be", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_ap_be5" value="off" <% wme_match_op("wl_wme_ap_be", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_ap_vi" value="5">
		<td><label for="txtAPviMin">AC_VI:</label></td>
		<td><input type="text" id="txtAPviMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vi0" value="<% nvram_list("wl_wme_ap_vi", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPviMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vi1" value="<% nvram_list("wl_wme_ap_vi", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPviAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vi2" value="<% nvram_list("wl_wme_ap_vi", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPviB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vi3" value="<% nvram_list("wl_wme_ap_vi", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtAPviAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vi4" value="<% nvram_list("wl_wme_ap_vi", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_ap_vi5" value="off" <% wme_match_op("wl_wme_ap_vi", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_ap_vo" value="5">
		<td><label for="txtAPvoMin">AC_VO:</label></td>
		<td><input type="text" id="txtAPvoMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vo0" value="<% nvram_list("wl_wme_ap_vo", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPvoMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vo1" value="<% nvram_list("wl_wme_ap_vo", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPvoAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vo2" value="<% nvram_list("wl_wme_ap_vo", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtAPvoB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vo3" value="<% nvram_list("wl_wme_ap_vo", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtAPvoAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_ap_vo4" value="<% nvram_list("wl_wme_ap_vo", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_ap_vo5" value="off" <% wme_match_op("wl_wme_ap_vo", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<input type="hidden" name="wme_sta" value="8">
	<tr><td colspan="8"><strong><label>EDCA wireless client parameters</label></strong></td></tr>
	<tr>
		<input type="hidden" name="wl_wme_sta_bk" value="5">
		<td><label for="txtWbkMin">AC_BK:</label></td>
		<td><input type="text" id="txtWbkMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_bk0" value="<% nvram_list("wl_wme_sta_bk", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbkMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_bk1" value="<% nvram_list("wl_wme_sta_bk", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbkAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_bk2" value="<% nvram_list("wl_wme_sta_bk", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbkB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_bk3" value="<% nvram_list("wl_wme_sta_bk", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtWbkAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_bk4" value="<% nvram_list("wl_wme_sta_bk", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_sta_bk5" value="off" <% wme_match_op("wl_wme_sta_bk", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_sta_be" value="5">
		<td><label for="txtWbeMin">AC_BE:</label></td>
		<td><input type="text" id="txtWbeMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_be0" value="<% nvram_list("wl_wme_sta_be", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbeMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_be1" value="<% nvram_list("wl_wme_sta_be", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbeAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_be2" value="<% nvram_list("wl_wme_sta_be", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWbeB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_be3" value="<% nvram_list("wl_wme_sta_be", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtWbeAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_be4" value="<% nvram_list("wl_wme_sta_be", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_sta_be5" value="off" <% wme_match_op("wl_wme_sta_be", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_sta_vi" value="5">
		<td><label for="txtWviMin">AC_VI:</label></td>
		<td><input type="text" id="txtWviMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vi0" value="<% nvram_list("wl_wme_sta_vi", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWviMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vi1" value="<% nvram_list("wl_wme_sta_vi", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWviAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vi2" value="<% nvram_list("wl_wme_sta_vi", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWviB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vi3" value="<% nvram_list("wl_wme_sta_vi", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtWviAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vi4" value="<% nvram_list("wl_wme_sta_vi", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_sta_vi5" value="off" <% wme_match_op("wl_wme_sta_vi", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	<tr>
		<input type="hidden" name="wl_wme_sta_vo" value="5">
		<td><label for="txtWvoMin">AC_VO:</label></td>
		<td><input type="text" id="txtWvoMin"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vo0" value="<% nvram_list("wl_wme_sta_vo", 0); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWvoMax"   size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vo1" value="<% nvram_list("wl_wme_sta_vo", 1); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWvoAIFSN" size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vo2" value="<% nvram_list("wl_wme_sta_vo", 2); %>" onchange="bDirty = true;"></td>
		<td><input type="text" id="txtWvoB"     size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vo3" value="<% nvram_list("wl_wme_sta_vo", 3); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="text" id="txtWvoAG"    size="3" maxlength="4" class="clsTextfield" name="wl_wme_sta_vo4" value="<% nvram_list("wl_wme_sta_vo", 4); %>" onchange="bDirty = true;"> <label>ms</label></td>
		<td><input type="checkbox" name="wl_wme_sta_vo5" value="off" <% wme_match_op("wl_wme_sta_vo", "on", "checked"); %> onclick="bDirty = true;"></td>
	</tr>
	</tbody>
</table>
</div>

<h3>Transmission</h3>

<p>These are advanced settings and most people won&rsquo;t need to modify them.
You can find information about these advanced features in the user manual on
the installation CD-ROM.</p>

<table border="0">
	<tr>
		<td><label>Power level:</label></td>
		<td>
			<select id="wl_power" name="wl_power" onchange="bDirty = true;">
				<option value="79" <% nvram_match("wl_power", "79", "selected"); %>>100%</option>
				<option value="40" <% nvram_match("wl_power", "40", "selected"); %>>50%</option>
				<option value="20" <% nvram_match("wl_power", "20", "selected"); %>>25%</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Channel:</label></td>
		<td>
			<select id="cbChannel" name="wl_channel" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_channel", "0", "selected"); %>>Automatic</option>
				<option value="1" <% nvram_match("wl_channel", "1", "selected"); %>>1</option>
				<option value="2" <% nvram_match("wl_channel", "2", "selected"); %>>2</option>
				<option value="3" <% nvram_match("wl_channel", "3", "selected"); %>>3</option>
				<option value="4" <% nvram_match("wl_channel", "4", "selected"); %>>4</option>
				<option value="5" <% nvram_match("wl_channel", "5", "selected"); %>>5</option>
				<option value="6" <% nvram_match("wl_channel", "6", "selected"); %>>6</option>
				<option value="7" <% nvram_match("wl_channel", "7", "selected"); %>>7</option>
				<option value="8" <% nvram_match("wl_channel", "8", "selected"); %>>8</option>
				<option value="9" <% nvram_match("wl_channel", "9", "selected"); %>>9</option>
				<option value="10" <% nvram_match("wl_channel", "10", "selected"); %>>10</option>
				<option value="11" <% nvram_match("wl_channel", "11", "selected"); %>>11</option>
			</select>
<script>
   /*
      If this isn't US-based, allow channels 12 and 13.
   */
   if (!isUS())
   {
      document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("12", "12");
      document.idForm.cbChannel.options[document.idForm.cbChannel.options.length] = new Option("13", "13");
      document.idForm.cbChannel.selectedIndex = "<% nvram_get("wl_channel"); %>";
   }
</script>
		 </td>
	</tr>
	<tr>
		<td><label>54g mode:</label></td>
		<td>
			<select id="cbMode" name="wl_gmode" onchange="manageSupportedRates();" onchange="bDirty = true;">
				<option value="1" <% nvram_match("wl_gmode", "1", "selected"); %>>Automatic</option>
				<option value="4" <% nvram_match("wl_gmode", "4", "selected"); %>>802.11g Performance</option>
				<option value="0" <% nvram_match("wl_gmode", "0", "selected"); %>>802.11b Only</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td colspan="2"><input type="checkbox" id="wl_gmode_protection" name="wl_gmode_protection" value="auto" <% nvram_match("wl_gmode_protection", "auto", "checked"); %> onclick="bDirty = true;"> <label for="wl_gmode_protection">Automatic 54g protection</label></td>
	</tr>
	<tr>
		<td><label>Supported rate:</label></td>
		<td>
			<select id="cbSupportedRate" name="wl_rate" onchange="bDirty = true;">
				<option value="0" <% nvram_match("wl_rate", "0", "selected"); %>>Auto</option>
				<option value="1000000" <% nvram_match("wl_rate", "1000000", "selected"); %>>1 Mbps</option>
				<option value="2000000" <% nvram_match("wl_rate", "2000000", "selected"); %>>2 Mbps</option>
				<option value="5500000" <% nvram_match("wl_rate", "5500000", "selected"); %>>5.5 Mbps</option>
				<option value="6000000" <% nvram_match("wl_rate", "6000000", "selected"); %>>6 Mbps</option>
				<option value="9000000" <% nvram_match("wl_rate", "9000000", "selected"); %>>9 Mbps</option>
				<option value="11000000" <% nvram_match("wl_rate", "11000000", "selected"); %>>11 Mbps</option>      
				<option value="12000000" <% nvram_match("wl_rate", "12000000", "selected"); %>>12 Mbps</option>
				<option value="18000000" <% nvram_match("wl_rate", "18000000", "selected"); %>>18 Mbps</option>
				<option value="24000000" <% nvram_match("wl_rate", "24000000", "selected"); %>>24 Mbps</option>
				<option value="36000000" <% nvram_match("wl_rate", "36000000", "selected"); %>>36 Mbps</option>
				<option value="48000000" <% nvram_match("wl_rate", "48000000", "selected"); %>>48 Mbps</option>
				<option value="54000000" <% nvram_match("wl_rate", "54000000", "selected"); %>>54 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Basic rate set:</label></td>
		<td>
			<select name="wl_rateset" onchange="bDirty = true;"> 
				<option value="default" <% nvram_match("wl_rateset", "default", "selected"); %>>Default</option>
				<option value="all" <% nvram_match("wl_rateset", "all", "selected"); %>>All</option>
				<option value="12" <% nvram_match("wl_rateset", "12", "selected"); %>>1 & 2 Mbps</option>
			</select>
		 </td>
	</tr>
	<tr>
		<td><label>Acceleration:</label></td>
		<td>
			<select name="cbAcceleration" onchange="changeAcceleration();bDirty = true;">
				<option value="none" <% nvram_match("cbAcceleration", "none", "selected"); %>>None</option>
				<option value="frameburst" <% nvram_match("wl_frameburst", "on", "selected"); %>>54g+ (XPress&trade;)</option>
				<option value="afterburner" <% nvram_match("wl_afterburner", "auto", "selected"); %>>MAXg (125 Mbps)</option>
			</select>
		</td>
	</tr>

	<tr><td>&nbsp;</td><td>&nbsp;</td></tr>

	<tr>
		<td><label for="wl_bcn">Beacon interval:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_bcn" class="clsTextfield" name="wl_bcn" value="<% nvram_get("wl_bcn"); %>" onchange="bDirty = true;"> <label>ms</label> <span class="clsNote">(must be between 1 and 1000 ms)</span></td>
	</tr>
	<tr>
		<td><label for="wl_rts">RTS threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_rts" class="clsTextfield" name="wl_rts" value="<% nvram_get("wl_rts"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2432)</span></td>
	</tr>
	<tr>
		<td><label for="wl_frag" id="lblFrag">Fragmentation threshold:</label></td>
		<td><input type="text" size="10" maxlength="4" id="wl_frag" class="clsTextfield" name="wl_frag" value="<% nvram_get("wl_frag"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 256 and 2346, even numbers only)</span></td>
	</tr>
	<tr>
		<td><label for="wl_dtim">DTIM interval:</label></td>
		<td><input type="text" size="10" maxlength="3" id="wl_dtim" class="clsTextfield" name="wl_dtim" value="<% nvram_get("wl_dtim"); %>" onchange="bDirty = true;"> <span class="clsNote">(must be between 1 and 255)</span></td>
	</tr>
	<tr>
		<td><label>Preamble:</label></td>
		<td>
			<select id="wl_plcphdr" name="wl_plcphdr">
				<option value="long" <% nvram_match("wl_plcphdr", "long", "selected"); %> onchange="bDirty = true;">Long</option>
				<option value="short" <% nvram_match("wl_plcphdr", "short", "selected"); %> onchange="bDirty = true;">Short</option>
			</select>
			
		 </td>
	</tr>
</table>


<p class="clsSave">When you finish entering your changes, press <strong>Save</strong>.</p>
<p><input type="submit" name="action" value="Save" class="clsBtnSave" onclick="if (!isPrintable('Network name', document.idForm.wl_ssid.value)) return false; checksettings(); bDirty = false;"></p>

</form>

<script>
	writeCopyright();
</script>

</body>
</html>
